## org.eclipse.emf.mapping.xsd2ecore.presentation
Class XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.mapping.xsd2ecore.presentation.XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  XSD2EcoreModelWizard

    public class XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage

extends WizardPage

This is the page where the type of object to create is selected.

Field Summary
`protected java.lang.String` `initialEClassName`
`protected CCombo` `initialObjectField`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage(java.lang.String pageId)` Pass in the selection

Method Summary
`void` `createControl(Composite parent)`
`java.lang.String` `getInitialEClassName()`
`protected java.lang.String` `getLabel(EClass eClass)` Returns the label of the specified element
`boolean` `isPageComplete()` The framework calls this to see if the file is correct
`boolean` `performFinish()` Store the dialog field settings upon completion

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### initialEClassName

    protected java.lang.String initialEClassName

### initialObjectField

    protected CCombo initialObjectField

Constructor Detail

### XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage

    public XSD2EcoreModelWizard.XSD2EcoreModelWizardInitialObjectCreationPage(java.lang.String pageId)

  Pass in the selection.

Method Detail

### createControl

    public void createControl(Composite parent)

### isPageComplete

    public boolean isPageComplete()

  The framework calls this to see if the file is correct.

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `WizardPage`

### performFinish

    public boolean performFinish()

  Store the dialog field settings upon completion.

### getInitialEClassName

    public java.lang.String getInitialEClassName()

### getLabel

    protected java.lang.String getLabel(EClass eClass)

  Returns the label of the specified element.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.